작업 주문 관리 API

  • 릴리스 버전: Zurich
  • 업데이트 날짜 2025년 07월 31일
  • 소요 시간: 119분
  • 작업 주문 관리 API는 작업 주문을 생성, 업데이트 및 검색할 수 있는 엔드포인트를 제공합니다.

    이 API는 에서 사용할 수 ServiceNow Store있는 Telecommunication Open API 애플리케이션에 포함되어 있습니다.

    이 API는 sn_tmf_api 네임스페이스 내에서 제공됩니다.

    호출하는 사용자에게 sn_tmf_api.work_order_integrator 역할이 있어야 합니다.

    작업 주문 관리 API는 TM 포럼 작업 주문 관리 API REST 사양의 구현입니다ServiceNow. 이 구현은 TMF697 작업 주문 관리 API v5.0을 기반으로 합니다.

    작업 주문 관리 - GET /sn_tmf_api/work_order_management_api/workorder/{id}

    작업 주문 [wm_order] 테이블에서 지정된 작업 주문을 조회합니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workorder/{id}

    기본 URL: /api/sn_tmf_api/work_order_management_api/workorder/{id}

    지원되는 요청 매개변수

    표 1. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id 또는 externalIdentifier

    테이블: 작업 주문 [wm_order]

    필드: Sys_id 또는 correlation_id

    데이터 유형: 문자열

    표 2. 쿼리 매개변수
    이름 설명
    필드 응답에서 반환할 필드 목록입니다. 잘못된 필드는 무시됩니다.
    유효한 값은 다음과 같습니다.
    • @type
    • 범주
    • 완료 날짜
    • 설명
    • expectedCompletionDate
    • href
    • ID
    • initiatedFrom에서
    • 우선순위
    • requestedCompletionDate
    • requestedStart날짜
    • shortDescription
    • startDate
    • 상태
    • 작업 주문 번호

    기본값: 모든 필드를 반환합니다.

    데이터 유형: 문자열

    표 3. 요청 본문 매개변수(JSON)
    이름 설명
    없음

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 4. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 5. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 6. 상태 코드
    상태 코드 설명
    200 성공입니다. 요청이 성공적으로 처리되었습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.
    404 찾을 수 없습니다. 요청한 항목을 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    범주 엔터프라이즈 또는 가정과 같은 주문 관리 시스템에서 사용할 수 있는 작업 주문의 범주입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    관련제품주문 작업 주문에 대한 제품 주문의 목록입니다.

    데이터 유형: 배열

    "relatedProductOrder": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    relatedProductOrder.@type 이 값은 항상 ProductOrderRef입니다.

    데이터 유형: 문자열

    relatedProductOrder.id 제품 주문의 Sys_id입니다.

    테이블: 제품 주문 [sn_ind_tmt_orm_product_order]

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "description": "String",
          "id": "String",
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "relatedWork": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    workOrderItem.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    workOrderItem.work.place 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.관련 작업 관련 작업 주문 작업 목록입니다.

    데이터 유형: 배열

    "relatedWork": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    workOrderItem.work.relatedWork.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedWork.id 관련 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    작업 주문 관계 작업 주문과 작업 관계의 목록입니다.

    데이터 유형: 배열

    "workOrderRelationship": [
       {
          "@type": "String",
          "id": "String",
          "relationshipType": "String"
       }
    ]
    workOrderRelationship.@type 이 값은 항상 OrderRelationship입니다.

    데이터 유형: 문자열

    workOrderRelationship.id 작업 관계의 Sys_id입니다.

    테이블: 작업 관계 [task_rel_task]

    데이터 유형: 문자열

    workOrderRelationship.relationshipType 작업 관계 유형입니다.

    데이터 유형: 문자열

    cURL 요청

    지정된 작업 주문을 조회합니다.

    curl "https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workorder/27e756a1df113100dca6a5f59bf263da" \
    --request GET \
    --header "Accept:application/json" \
    --user 'username':'password'

    응답 본문.

    {
       "@type": "WorkOrder",
       "href": "api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98",
       "workOrderNumber": "WO0008004",
       "id": "6d22c6f0ff0de650f8dfffffffffff98",
       "category": "test",
       "shortDescription": "Test-Test",
       "description": "Test",
       "startDate": "",
       "requestedCompletionDate": "2025-04-19 07:17:04",
       "requestedStartDate": "",
       "state": "Awaiting Qualification",
       "priority": "4 - Low",
       "initiatedFrom": "",
       "completionDate": "",
       "expectedCompletionDate": "",
       "place": {
          "@type": "GeographicSite",
          "id": "920cf6ac73d423002728660c4cf6a799",
          "relatedParty": [
             {
                "@type": "RelatedPartyRef",
                "id": "320ee92637232000158bbfc8bcbe5d40",
                "name": "East Qualifiers",
                "role": "QualificationGroup"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "5408091a3b100300e81d47b334efc452",
             "name": "Ashley Parker",
             "role": "Contact"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "",
             "name": "",
             "role": "Account"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "",
             "name": "",
             "role": "Consumer"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "820351a1c0a8018b67c73d51c074097c",
             "name": "Acer",
             "role": "Company"
          }
       ],
       "appointment": {},
       "relatedProductOrder": [
          {
             "@type": "ProductOrderRef",
             "id": "19f5456dff092a50f8dfffffffffff01"
          },
          {
             "@type": "ProductOrderRef",
             "id": "7116456dff092a50f8dfffffffffff6e"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifierRef",
             "id": "r6879"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "id": "2fa566fdff456a50f8dfffffffffffc6",
             "shortDescription": "abc",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "2fa566fdff456a50f8dfffffffffffc6",
                "workType": "",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "25ab8dcd0a0a0bb300bd8a8899934d72"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "bb420af0ff0de650f8dfffffffffff4a"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "c301e379ff096a50f8dfffffffffff43"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          },
          {
             "@type": "WorkOrderItem",
             "id": "bb420af0ff0de650f8dfffffffffff4a",
             "shortDescription": "Test",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "bb420af0ff0de650f8dfffffffffff4a",
                "workType": "38f719ec3b8a10103f09080044efc4cd",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "920cf6ac73d423002728660c4cf6a799"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "2fa566fdff456a50f8dfffffffffffc6"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "c301e379ff096a50f8dfffffffffff43"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          },
          {
             "@type": "WorkOrderItem",
             "id": "c301e379ff096a50f8dfffffffffff43",
             "shortDescription": "hi",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "c301e379ff096a50f8dfffffffffff43",
                "workType": "",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "6808184aeb211100420124e05206fe12"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "2fa566fdff456a50f8dfffffffffffc6"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "bb420af0ff0de650f8dfffffffffff4a"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          }
       ],
       "workOrderRelationship": [
          {
             "@type": "OrderRelationship",
             "id": "02016b46ffcd6a50f8dfffffffffff31",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "0e016b46ffcd6a50f8dfffffffffff30",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "66da174eff8d6a50f8dfffffffffffda",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "aada174eff8d6a50f8dfffffffffffd9",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "bd20e706ffcd6a50f8dfffffffffffc6",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "c2016b46ffcd6a50f8dfffffffffff31",
             "relationshipType": "Contains::Task of"
          }
       ],
       "note": [
          {
             "@type": "Note",
             "author": "System Administrator",
             "date": "2025-04-23",
             "text": "This is a note."
          }
       ]
    }

    작업 주문 관리 - GET /sn_tmf_api/work_order_management_api/workordermanagement

    작업 주문 [wm_order] 테이블에서 모든 작업 주문의 목록을 검색합니다.

    URL 형식

    버전 URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workordermanagement

    기본 URL: /api/sn_tmf_api/work_order_management_api/workordermanagement

    지원되는 요청 매개변수

    표 7. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다.

    데이터 유형: 문자열

    표 8. 쿼리 매개변수
    이름 설명
    필드 응답에서 반환할 필드 목록입니다. 잘못된 필드는 무시됩니다.
    유효한 값은 다음과 같습니다.
    • @type
    • 범주
    • 완료 날짜
    • 설명
    • expectedCompletionDate
    • href
    • ID
    • initiatedFrom에서
    • 우선순위
    • requestedCompletionDate
    • requestedStart날짜
    • shortDescription
    • startDate
    • 상태
    • 작업 주문 번호

    기본값: 모든 필드를 반환합니다.

    데이터 유형: 문자열

    ID 작업 주문을 필터링하는 데 사용할 Sys_ids입니다. 지정된 sys_ids와 일치하는 작업 주문만 응답에 반환됩니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    제한 반환할 최대 기록 수입니다. 이 기록 수를 초과하는 요청의 경우 매개변수를 사용하여 offset 기록 검색을 페이지 매김합니다.

    기본값: 20

    데이터 유형: 숫자

    오프셋 기록 검색을 시작할 시작 인덱스입니다. 이 값을 사용하여 기록 검색을 페이지 매김합니다. 이 기능을 사용하면 기록 수와 관계없이 관리 가능한 작은 청크로 모든 기록을 검색할 수 있습니다.

    기본값: 0

    데이터 유형: 숫자

    표 9. 요청 본문 매개변수(JSON)
    이름 설명
    없음

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 10. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 11. 응답 헤더
    헤더 설명
    콘텐츠 범위 페이지 매김된 호출에서 반환된 콘텐츠의 범위입니다.

    예를 들어, offset=2limit=3인 경우 헤더의 Content-Range 값은 항목 3-5입니다.

    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.
    링크 쿼리 결과를 탐색할 수 있는 다음 링크가 포함되어 있습니다.
    • 첫 번째
    • 마지막
    • 다음
    • 이전
    X-Total-Count 페이지 매김된 쿼리의 경우 이 헤더는 서버에서 사용할 수 있는 총 레코드 수를 지정합니다.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 12. 상태 코드
    상태 코드 설명
    200 성공입니다. 요청이 성공적으로 처리되었습니다.
    206 부분 컨텐츠. 요청이 성공적으로 처리되고 페이지 매김된 호출로 지정된 콘텐츠의 일부를 반환했습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.
    404 찾을 수 없습니다. 요청한 항목을 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    범주 엔터프라이즈 또는 가정과 같은 주문 관리 시스템에서 사용할 수 있는 작업 주문의 범주입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    관련제품주문 작업 주문에 대한 제품 주문의 목록입니다.

    데이터 유형: 배열

    "relatedProductOrder": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    relatedProductOrder.@type 이 값은 항상 ProductOrderRef입니다.

    데이터 유형: 문자열

    relatedProductOrder.id 제품 주문의 Sys_id입니다.

    테이블: 제품 주문 [sn_ind_tmt_orm_product_order]

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "description": "String",
          "id": "String",
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "relatedWork": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    작업 주문 항목.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    workOrderItem.work.place 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.관련 작업 관련 작업 주문 작업 목록입니다.

    데이터 유형: 배열

    "relatedWork": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    workOrderItem.work.relatedWork.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedWork.id 관련 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    작업 주문 관계 작업 주문과 작업 관계의 목록입니다.

    데이터 유형: 배열

    "workOrderRelationship": [
       {
          "@type": "String",
          "id": "String",
          "relationshipType": "String"
       }
    ]
    workOrderRelationship.@type 이 값은 항상 OrderRelationship입니다.

    데이터 유형: 문자열

    workOrderRelationship.id 작업 관계의 Sys_id입니다.

    테이블: 작업 관계 [task_rel_task]

    데이터 유형: 문자열

    workOrderRelationship.relationshipType 작업 관계 유형입니다.

    데이터 유형: 문자열

    cURL 요청

    작업 주문의 첫 페이지를 검색합니다.

    curl "https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workordermanagement" \
    --request GET \
    --header "Accept:application/json" \
    --user 'username':'password'

    응답 본문.

    [{
       "@type": "WorkOrder",
       "href": "api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98",
       "workOrderNumber": "WO0008004",
       "id": "6d22c6f0ff0de650f8dfffffffffff98",
       "category": "test",
       "shortDescription": "Test-Test",
       "description": "Test",
       "startDate": "",
       "requestedCompletionDate": "2025-04-19 07:17:04",
       "requestedStartDate": "",
       "state": "Awaiting Qualification",
       "priority": "4 - Low",
       "initiatedFrom": "",
       "completionDate": "",
       "expectedCompletionDate": "",
       "place": {
          "@type": "GeographicSite",
          "id": "920cf6ac73d423002728660c4cf6a799",
          "relatedParty": [
             {
                "@type": "RelatedPartyRef",
                "id": "320ee92637232000158bbfc8bcbe5d40",
                "name": "East Qualifiers",
                "role": "QualificationGroup"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "5408091a3b100300e81d47b334efc452",
             "name": "Ashley Parker",
             "role": "Contact"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "",
             "name": "",
             "role": "Account"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "",
             "name": "",
             "role": "Consumer"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "820351a1c0a8018b67c73d51c074097c",
             "name": "Acer",
             "role": "Company"
          }
       ],
       "appointment": {},
       "relatedProductOrder": [
          {
             "@type": "ProductOrderRef",
             "id": "19f5456dff092a50f8dfffffffffff01"
          },
          {
             "@type": "ProductOrderRef",
             "id": "7116456dff092a50f8dfffffffffff6e"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifierRef",
             "id": "r6879"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "id": "2fa566fdff456a50f8dfffffffffffc6",
             "shortDescription": "abc",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "2fa566fdff456a50f8dfffffffffffc6",
                "workType": "",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "25ab8dcd0a0a0bb300bd8a8899934d72"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "bb420af0ff0de650f8dfffffffffff4a"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "c301e379ff096a50f8dfffffffffff43"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          },
          {
             "@type": "WorkOrderItem",
             "id": "bb420af0ff0de650f8dfffffffffff4a",
             "shortDescription": "Test",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "bb420af0ff0de650f8dfffffffffff4a",
                "workType": "38f719ec3b8a10103f09080044efc4cd",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "920cf6ac73d423002728660c4cf6a799"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "2fa566fdff456a50f8dfffffffffffc6"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "c301e379ff096a50f8dfffffffffff43"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          },
          {
             "@type": "WorkOrderItem",
             "id": "c301e379ff096a50f8dfffffffffff43",
             "shortDescription": "hi",
             "description": "",
             "state": "Draft",
             "work": {
                "@type": "WorkRefOrValue",
                "id": "c301e379ff096a50f8dfffffffffff43",
                "workType": "",
                "scheduledStartDate": "",
                "expectedCompletionDate": "",
                "workPriority": "4 - Low",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "6808184aeb211100420124e05206fe12"
                      }
                   }
                ],
                "relatedWork": [
                   {
                      "@type": "WorkRefOrValue",
                      "id": "2fa566fdff456a50f8dfffffffffffc6"
                   },
                   {
                      "@type": "WorkRefOrValue",
                      "id": "bb420af0ff0de650f8dfffffffffff4a"
                   }
                ],
                "relatedParty": [],
                "workforceEmployeeAssignment": []
             }
          }
       ],
       "workOrderRelationship": [
          {
             "@type": "OrderRelationship",
             "id": "02016b46ffcd6a50f8dfffffffffff31",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "0e016b46ffcd6a50f8dfffffffffff30",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "66da174eff8d6a50f8dfffffffffffda",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "aada174eff8d6a50f8dfffffffffffd9",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "bd20e706ffcd6a50f8dfffffffffffc6",
             "relationshipType": "Contains::Task of"
          },
          {
             "@type": "OrderRelationship",
             "id": "c2016b46ffcd6a50f8dfffffffffff31",
             "relationshipType": "Contains::Task of"
          }
       ],
       "note": [
          {
             "@type": "Note",
             "author": "System Administrator",
             "date": "2025-04-23",
             "text": "This is a note."
          }
       ]
    }]

    작업 주문 관리 - PATCH /sn_tmf_api/work_order_management_api/workOrder/{id}

    작업 주문과 관련 작업을 업데이트합니다.

    작업 주문 기록은 작업 주문 [wm_order] 테이블에서 업데이트됩니다. 작업 주문 작업 [wm_task] 테이블에서 작업 기록이 업데이트됩니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workOrder/{id}

    기본 URL: /api/sn_tmf_api/work_order_management_api/workOrder/{id}

    지원되는 요청 매개변수

    표 13. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    표 14. 쿼리 매개변수
    이름 설명
    없음
    표 15. 요청 본문 매개변수(JSON)
    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    templateId 작업 주문에 사용할 템플릿의 Sys_id입니다.

    테이블: 제품 모델 [cmdb_model]

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "action": "String",
          "completionDate": "String",
          "description": "String",
          "id": "String",
          "note": {Object},
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    workOrderItem.action 작업에 대해 제품에서 수행할 작업입니다.
    가능한 값:
    • 추가
    • 삭제
    • 수정
    • 변경 없음

    데이터 유형: 문자열

    workOrderItem.completionDate 작업이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    작업주문항목.메모 작업에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    workOrderItem.note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    workOrderItem.note.author 메모의 작성자입니다.

    데이터 유형: 문자열

    workOrderItem.note.date 메모가 작업에 추가된 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    workOrderItem.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    workOrderItem.work.place 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 16. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    컨텐츠-형식 요청 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 17. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 18. 상태 코드
    상태 코드 설명
    200 성공입니다. 요청이 성공적으로 처리되었습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.
    404 찾을 수 없습니다. 요청한 항목을 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    templateId 작업 주문에 사용할 템플릿의 Sys_id입니다.

    테이블: 제품 모델 [cmdb_model]

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "action": "String",
          "completionDate": "String",
          "description": "String",
          "id": "String",
          "note": {Object},
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    workOrderItem.action 작업에 대해 제품에서 수행할 작업입니다.
    가능한 값:
    • 추가
    • 삭제
    • 수정
    • 변경 없음

    데이터 유형: 문자열

    workOrderItem.completionDate 작업이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    작업주문항목.메모 작업에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    workOrderItem.note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    작업주문항목.메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    작업 주문 항목.메모.날짜 메모가 작업에 추가된 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    workOrderItem.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    작업주문항목.작업.장소 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    작업주문항목.작업.장소.장소 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    cURL 요청

    지정된 작업 주문를 업데이트합니다.

    curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9" \
    --request PATCH \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
       "@type": "WorkOrder",
       "description": "Fixed Fibre Broadband Installation",
       "shortDescription": "Fixed Fibre",
       "priority": "1 - Critical",
       "place": {
          "@type": "GeographicSite",
          "id": "f48b22530a0a0ba70001913a1c181eeb",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "781da52637232000158bbfc8bcbe5db8",
                "name": "Jane Smith",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "86a08090ffcd62105e0dffffffffff8b",
             "name": "Workforce Engineering Group",
             "role": "Consumer"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "id": "3df59e8cff5d26105e0dffffffffff0e",
             "action": "add",
             "description": "FTTH Installation",
             "shortDescription": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "state": "Accepted",
             "work": {
                "@type": "WorkRefOrValue",
                "scheduledStartDate": "2024-04-22T14:23:06.528Z",
                "workType": "38f719ec3b8a10103f09080044efc4cd",
                "description": "Cabinet Configuration",
                "name": "FTTH Installation",
                "workPriority": "high",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "b04b813bffc126105e0dffffffffff0d"
                      }
                   }
                ],
                "note": {
                   "@type": "Note",
                   "text": "Demand Point Type: SDU"
                }
             }
          }
       ],
       "note": {
          "@type": "Note",
          "text": "This is important"
       }
    }" \
    --user 'username':'password'

    응답 본문.

    {
       "@type": "WorkOrder",
       "description": "Fixed Fibre Broadband Installation",
       "shortDescription": "Fixed Fibre",
       "priority": "1 - Critical",
       "place": {
          "@type": "GeographicSite",
          "id": "f48b22530a0a0ba70001913a1c181eeb",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "781da52637232000158bbfc8bcbe5db8",
                "name": "Jane Smith",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "86a08090ffcd62105e0dffffffffff8b",
             "name": "Workforce Engineering Group",
             "role": "Consumer"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "id": "3df59e8cff5d26105e0dffffffffff0e",
             "action": "add",
             "description": "FTTH Installation",
             "shortDescription": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "state": "Accepted",
             "work": {
                "@type": "WorkRefOrValue",
                "scheduledStartDate": "2024-04-22T14:23:06.528Z",
                "workType": "38f719ec3b8a10103f09080044efc4cd",
                "description": "Cabinet Configuration",
                "name": "FTTH Installation",
                "workPriority": "high",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "b04b813bffc126105e0dffffffffff0d"
                      }
                   }
                ],
                "note": {
                   "@type": "Note",
                   "text": "Demand Point Type: SDU"
                }
             }
          }
       ],
       "note": {
          "@type": "Note",
          "text": "This is important"
       },
       "id": "2d3f32f0df113100dca6a5f59bf263a9",
       "href": "/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9"
    }

    작업 주문 관리 - POST /sn_tmf_api/work_order_management_api/cancelWorkOrder

    지정된 작업 주문과 관련된 모든 작업을 취소합니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/work_order_management_api/cancelWorkOrder

    기본 URL: /api/sn_tmf_api/work_order_management_api/cancelWorkOrder

    지원되는 요청 매개변수

    표 19. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다.

    데이터 유형: 문자열

    표 20. 쿼리 매개변수
    이름 설명
    없음
    표 21. 요청 본문 매개변수(JSON)
    이름 설명
    @type 이 값은 항상 CancelWorkOrder입니다.

    데이터 유형: 문자열

    cancellation이유 작업 주문을 취소하는 이유입니다.

    데이터 유형: 문자열

    workOrder 작업 주문에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workOrder": {
       "@type": "String",
       "id": "String"
    }
    workOrder.@type 이 값은 항상 WorkOrderRef입니다.

    데이터 유형: 문자열

    workOrder.id 필수 취소할 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 22. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    컨텐츠-형식 요청 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 23. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 24. 상태 코드
    상태 코드 설명
    200 성공입니다. 요청이 성공적으로 처리되었습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    @type 이 값은 항상 CancelWorkOrder입니다.

    데이터 유형: 문자열

    cancellation이유 작업 주문을 취소하는 이유입니다.

    데이터 유형: 문자열

    상태 취소 요청의 상태입니다. 작업 주문이 성공적으로 취소된 경우 이 값은 취소됨입니다.

    데이터 유형: 문자열

    workOrder 작업 주문에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workOrder": {
       "@type": "String",
       "id": "String"
    }
    workOrder.@type 이 값은 항상 WorkOrderRef입니다.

    데이터 유형: 문자열

    workOrder.id 취소된 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    cURL 요청

    지정된 작업 주문을 취소합니다.

    curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/cancelWorkOrder" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
       "@type": "CancelWorkOrder",
       "cancellationReason": "Workforce unavailability",
       "workOrder": {
          "@type": "WorkOrderRef",
          "id": "f8ec1c38-4e4d-4378-a693-f95680e51e25"
       }
    }" \
    --user 'username':'password'

    응답 본문.

    {
      "@type": "CancelWorkOrder",
      "cancellationReason": "Workforce unavailability",
      "state": "Cancelled",
      "workOrder": {
        "@type": "WorkOrderRef",
        "id": "f8ec1c38-4e4d-4378-a693-f95680e51e25"
      }
    }

    작업 주문 관리 - POST /sn_tmf_api/work_order_management_api/workOrder

    작업 주문 및 관련 작업을 생성합니다.

    작업 주문에 대한 기록이 작업 주문 [wm_order] 테이블에 생성됩니다. 각 작업에 대한 기록은 작업 주문 작업 [wm_task] 테이블에 생성됩니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workOrder

    기본 URL: /api/sn_tmf_api/work_order_management_api/workOrder

    지원되는 요청 매개변수

    표 25. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다.

    데이터 유형: 문자열

    표 26. 쿼리 매개변수
    이름 설명
    없음
    표 27. 요청 본문 매개변수(JSON)
    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    범주 엔터프라이즈 또는 가정과 같은 주문 관리 시스템에서 사용할 수 있는 작업 주문의 범주입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    templateId 작업 주문에 사용할 템플릿의 Sys_id입니다.

    테이블: 제품 모델 [cmdb_model]

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "action": "String",
          "completionDate": "String",
          "description": "String",
          "id": "String",
          "note": {Object},
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    workOrderItem.action 작업에 대해 제품에서 수행할 작업입니다.
    가능한 값:
    • 추가
    • 삭제
    • 수정
    • 변경 없음

    데이터 유형: 문자열

    workOrderItem.completionDate 작업이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    작업주문항목.메모 작업에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    workOrderItem.note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    workOrderItem.note.author 메모의 작성자입니다.

    데이터 유형: 문자열

    workOrderItem.note.date 메모가 작업에 추가된 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    workOrderItem.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    workOrderItem.work.place 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 28. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    컨텐츠-형식 요청 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 29. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 30. 상태 코드
    상태 코드 설명
    201 만든. 작업 주문이 성공적으로 생성되었습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    @type 이 값은 항상 WorkOrder입니다.

    데이터 유형: 문자열

    범주 엔터프라이즈 또는 가정과 같은 주문 관리 시스템에서 사용할 수 있는 작업 주문의 범주입니다.

    데이터 유형: 문자열

    완료 날짜 작업 주문이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    설명 작업 주문에 대한 설명입니다.

    데이터 유형: 문자열

    expectedCompletionDate 제공자가 지정한 예상 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    외부 식별자 벤더 또는 상관 관계 ID와 같은 외부 참조 목록입니다.

    데이터 유형: 배열

    "externalIdentifier": [
       {
          "@type": "String",
          "id": "String"
       }
    ]
    externalIdentifier.@type 이 값은 항상 ExternalIdentifierRef입니다.

    데이터 유형: 문자열

    externalIdentifier.id 벤더 또는 상관 관계 ID와 같은 외부 참조입니다.

    데이터 유형: 문자열

    href 작업 주문 기록에 대한 상대 링크입니다.

    데이터 유형: 문자열

    ID 작업 주문의 Sys_id입니다.

    테이블: 작업 주문 [wm_order]

    데이터 유형: 문자열

    initiatedFrom에서 작업 주문이 시작된 위치를 나타내는 참조 ID입니다. 예를 들어, 작업 주문 작업 [wm_task] 테이블의 작업 sys_id 있습니다.

    데이터 유형: 문자열

    참고 주문에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    note.date 메모가 작업 주문에 추가된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    장소 작업 주문과 연결된 지리적 위치입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String",
       "relatedParty": [Array]
    }
    place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    place.relatedParty 해당 위치의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    place.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    place.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    place.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    place.relatedParty.role 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    우선순위 작업 주문의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    관련당사자 작업 주문과 연관된 연락처 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    relatedParty.id 관련 당사자의 Sys_id입니다.

    테이블: 계정[customer_account], 회사[core_company] 또는 사용자[sys_user]

    데이터 유형: 문자열

    relatedParty.name 관련 당사자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.role 관련 당사자의 역할입니다.
    가능한 값:
    • 계정
    • 회사
    • 소비자
    • 연락처

    데이터 유형: 문자열

    requestedCompletionDate 요청된 완료 날짜 및 시간입니다.

    데이터 유형: 문자열

    requestedStart날짜 요청자가 지정한 주문 이행 시작 날짜입니다. 요청자가 제공자가 지정된 날짜 이전에 이행을 시작하도록 허용할 수 없는 경우에 사용됩니다.

    데이터 유형: 문자열

    shortDescription 작업 주문에 대한 간략한 요약입니다.

    데이터 유형: 문자열

    startDate 주문이 시작된 날짜 및 시간입니다.

    데이터 유형: 문자열

    상태 작업 주문의 상태입니다.
    가능한 값:
    • 초안
    • 적격성 평가 대기 중
    • 자격 만족
    • 할당됨
    • 작업 진행 중
    • 완료

    데이터 유형: 문자열

    templateId 작업 주문에 사용할 템플릿의 Sys_id입니다.

    테이블: 제품 모델 [cmdb_model]

    데이터 유형: 문자열

    작업 주문 항목 작업 주문에 있는 작업 목록입니다.

    데이터 유형: 배열

    "workOrderItem": [
       {
          "@type": "String",
          "action": "String",
          "completionDate": "String",
          "description": "String",
          "id": "String",
          "note": {Object},
          "shortDescription": "String",
          "state": "String",
          "work": {Object}
       }
    ]
    workOrderItem.@type 이 값은 항상 WorkOrderItem입니다.

    데이터 유형: 문자열

    workOrderItem.action 작업에 대해 제품에서 수행할 작업입니다.
    가능한 값:
    • 추가
    • 삭제
    • 수정
    • 변경 없음

    데이터 유형: 문자열

    workOrderItem.completionDate 작업이 완료된 날짜 및 시간입니다.

    데이터 유형: 문자열

    작업 주문 항목.설명 작업에 대한 설명입니다.

    데이터 유형: 문자열

    workOrderItem.id 작업의 Sys_id입니다.

    테이블: 작업 주문 작업 [wm_task]

    데이터 유형: 문자열

    작업주문항목.메모 작업에 대한 메모 목록입니다.

    데이터 유형: 배열

    "note": [
       {
          "@type": "String",
          "author": "String",
          "date": "String",
          "text": "String"
       }
    ]
    workOrderItem.note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    작업주문항목.메모.작성자 메모의 작성자입니다.

    데이터 유형: 문자열

    작업 주문 항목.메모.날짜 메모가 작업에 추가된 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.note.text 메모 텍스트입니다.

    데이터 유형: 문자열

    workOrderItem.shortDescription 작업에 대한 간단한 설명입니다.

    데이터 유형: 문자열

    작업주문항목.상태 작업의 상태입니다.

    데이터 유형: 문자열

    workOrderItem.work 작업에 필요한 작업에 대한 설명입니다.

    데이터 유형: 객체

    "work": {
       "@type": "String",
       "expectedCompletionDate": "String",
       "id": "String",
       "place": [Array],
       "relatedParty": [Array],
       "scheduledStartDate": "String",
       "workforceEmployeeAssignment": [Array],
       "workPriority": "String",
       "workType": "String"
    }
    workOrderItem.work.@type 이 값은 항상 WorkRefOrValue입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.예상 완료 날짜 작업의 예상 완료 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.id 작업에 대한 작업 유형의 Sys_id입니다.

    테이블: 작업 유형 [wm_work_type]

    데이터 유형: 문자열

    작업주문항목.작업.장소 작업과 연관된 지리적 위치의 목록입니다.
    "place": [
       {
          "@type": "String",
          "place": {Object},
          "role": "String"
       }
    ]
    workOrderItem.work.place.@type 이 값은 항상 RelatedPlaceRefOrValue입니다.

    데이터 유형: 문자열

    작업주문항목.작업.장소.장소 위치에 대한 상세 정보입니다.

    데이터 유형: 객체

    "place": {
       "@type": "String",
       "id": "String"
    }
    workOrderItem.work.place.place.@type 이 값은 항상 GeographicSite입니다.

    데이터 유형: 문자열

    workOrderItem.work.place.place.id 위치의 Sys_id입니다.

    테이블: 위치 [cmn_location]

    데이터 유형: 문자열

    workOrderItem.work.place.role 작업 컨텍스트에서 이 위치의 역할입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자 작업의 지원 그룹 목록입니다.

    데이터 유형: 배열

    "relatedParty": [
       {
          "@type": "String",
          "id": "String",
          "name": "String",
          "role": "String"
       }
    ]
    workOrderItem.work.relatedParty.@type 이 값은 항상 RelatedPartyRef입니다.

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.id 지원 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.relatedParty.name 지원 그룹의 이름입니다.

    데이터 유형: 문자열

    작업주문항목.작업.관련당사자.역할 지원 그룹의 역할입니다.

    데이터 유형: 문자열

    workOrderItem.work.scheduledStartDate 작업에 대해 예약된 시작 날짜입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment 작업에 대한 할당 상세 정보입니다.

    데이터 유형: 배열

    "workforceEmployeeAssignment": [
       {
          "@type":"String",
          "id": "String",
          "workforceEmployee": {Object}      
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.@type 이 값은 항상 WorkforceEmployeeAssignment입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.id 작업에 할당된 그룹의 Sys_id입니다.

    테이블: 그룹 [sys_user_group]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee 작업에 할당된 직원에 대한 상세 정보입니다.

    데이터 유형: 객체

    "workforceEmployee": {
       "@type": "String",
       "contactMedium": [Array],
       "id": "String",
       "name": "String"
    }
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type 이 값은 항상 개별입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium 직원의 전화 번호 목록입니다.

    데이터 유형: 배열

    "contactMedium": [
       {
          "@type": "String",
          "phoneNumber": "String"
       }
    ]
    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type 이 값은 항상 PhoneContactMedium입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber 직원의 전화 번호입니다.

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id 직원의 Sys_id입니다.

    테이블: 사용자 [sys_user]

    데이터 유형: 문자열

    workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name 직원의 이름입니다.

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 우선순위 작업의 우선순위 순위입니다.
    가능한 값:
    • 1 - 위험
    • 2 - 높음
    • 3 - 중간
    • 4 - 낮음
    • 5 - 계획 중

    데이터 유형: 문자열

    작업 주문 항목.작업.작업 유형 작업의 작업 유형입니다.

    테이블: 작업 유형 [wm_work_type]

    필드: 이름

    데이터 유형: 문자열

    작업 주문 번호 작업 주문의 고유 식별자입니다(예: WO0008004).

    테이블: 작업 주문 [wm_order]

    필드: 번호

    데이터 유형: 문자열

    cURL 요청

    템플릿을 사용하여 작업 주문 및 작업을 작성합니다.

    curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
       "id": "323",
       "@type": "WorkOrder",
       "category": "service",
       "shortDescription": "Fixed Fibre Broadband Installation sb",
       "description": "Fixed Fibre description",
       "startDate": "2025-07-22T14:23:06.528Z",
       "requestedCompletionDate": "2024-06-22T14:23:06.528Z",
       "requestedStartDate": "2024-06-22T14:23:06.528Z",
       "priority": "2 - High",
       "expectedCompletionDate": "2025-07-28T14:23:06.528Z",
       "initiatedFrom": "d090df34df113100dca6a5f59bf26335",
       "templateId": "191ba0e0df113100dca6a5f59bf26336",
       "place": {
          "@type": "GeographicSite",
          "id": "423e85f037d0200044e0bfc8bcbe5d12",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "539546b237232000158bfc8bcbe5d7",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "d79249762fc1a610b79db3bf42faf3d2",
             "name": "Workforce Engineering Group",
             "role": "Company"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "b88d14843bc02300bfe04d72f3efc4cd",
             "name": "Workforce Engineering Group",
             "role": "Contact"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifier",
             "id": "1223412"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "action": "add",
             "id": "12232332",
             "description": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "work": {
                "@type": "WorkRefOrValue",
                "workType": "999469283bca10103f09080044efc4cf",
                "orderDate": "2024-04-22 14:23:06.528",
                "scheduledStartDate": "2025-06-25 14:23:06.528",
                "expectedCompletionDate": "2025-08-22 14:23:06.528",
                "workPriority": "2 - High",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "16ff753837d0200044e0bfc8bcbe5d5f"
                      }
                   }
                ],
                "relatedParty": [
                   {
                      "@type": "RelatedPartyRef",
                      "id": "4c0482b237232000158bbfc8bcbe5d09",
                      "name": "Louisiana Dispatchers",
                      "role": "DispatchGroup"
                   }
                ],
                "workforceEmployeeAssignment": [
                   {
                      "@type": "WorkforceEmployeeAssignment",
                      "id": "7172ea0037332000158bbfc8bcbe5db6",
                      "workforceEmployee": {
                         "@type": "Individual",
                         "name": "Athelstan Amos",
                         "id": "46c1293aa9fe1981000dc753e75ebeee"
                      }
                   }
                ]
             },
             "note": {
                "@type": "Note",
                "id": "afa9-3d90aaa8da0f",
                "text": "This is a work order task note."
             }
          }
       ],
       "note": {
          "@type": "Note",
          "id": "afa9-3d90aaa8da0f",
          "text": "This is a work order note."
       }
    }" \
    --user 'username':'password'

    응답 본문.

    {
       "id": "ca6d72d1ffa96210b79dffffffffffa1",
       "@type": "WorkOrder",
       "category": "service",
       "shortDescription": "Fixed Fibre Broadband Installation sb",
       "description": "Fixed Fibre description",
       "startDate": "2025-07-22T14:23:06.528Z",
       "requestedCompletionDate": "2024-06-22T14:23:06.528Z",
       "requestedStartDate": "2024-06-22T14:23:06.528Z",
       "priority": "2 - High",
       "expectedCompletionDate": "2025-07-28T14:23:06.528Z",
       "initiatedFrom": "d090df34df113100dca6a5f59bf26335",
       "templateId": "191ba0e0df113100dca6a5f59bf26336",
       "place": {
          "@type": "GeographicSite",
          "id": "423e85f037d0200044e0bfc8bcbe5d12",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "539546b237232000158bfc8bcbe5d7",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "d79249762fc1a610b79db3bf42faf3d2",
             "name": "Workforce Engineering Group",
             "role": "Company"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "b88d14843bc02300bfe04d72f3efc4cd",
             "name": "Workforce Engineering Group",
             "role": "Contact"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifier",
             "id": "1223412"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "action": "add",
             "id": "12232332",
             "description": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "work": {
                "@type": "WorkRefOrValue",
                "workType": "999469283bca10103f09080044efc4cf",
                "orderDate": "2024-04-22 14:23:06.528",
                "scheduledStartDate": "2025-06-25 14:23:06.528",
                "expectedCompletionDate": "2025-08-22 14:23:06.528",
                "workPriority": "2 - High",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "16ff753837d0200044e0bfc8bcbe5d5f"
                      }
                   }
                ],
                "relatedParty": [
                   {
                      "@type": "RelatedPartyRef",
                      "id": "4c0482b237232000158bbfc8bcbe5d09",
                      "name": "Louisiana Dispatchers",
                      "role": "DispatchGroup"
                   }
                ],
                "workforceEmployeeAssignment": [
                   {
                      "@type": "WorkforceEmployeeAssignment",
                      "id": "7172ea0037332000158bbfc8bcbe5db6",
                      "workforceEmployee": {
                         "@type": "Individual",
                         "name": "Athelstan Amos",
                         "id": "46c1293aa9fe1981000dc753e75ebeee"
                      }
                   }
                ]
             },
             "note": {
                "@type": "Note",
                "id": "afa9-3d90aaa8da0f",
                "text": "This is a work order task note."
             }
          }
       ],
       "note": {
          "@type": "Note",
          "id": "afa9-3d90aaa8da0f",
          "text": "This is a work order note."
       },
       "href": "api/sn_tmf_api/work_order_management_api/workOrder/ca6d72d1ffa96210b79dffffffffffa1"
    }

    cURL 요청

    템플릿을 사용하지 않고 작업 주문 및 작업을 작성합니다.

    curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
       "id": "323",
       "@type": "WorkOrder",
       "category": "service",
       "shortDescription": "Fixed Fibre Broadband Installation sb",
       "description": "Fixed Fibre description",
       "startDate": "2025-07-22T14:23:06.528Z",
       "requestedCompletionDate": "2024-06-22T14:23:06.528Z",
       "requestedStartDate": "2024-06-22T14:23:06.528Z",
       "priority": "2 - High",
       "expectedCompletionDate": "2025-07-28T14:23:06.528Z",
       "initiatedFrom": "d090df34df113100dca6a5f59bf26335",
       "place": {
          "@type": "GeographicSite",
          "id": "423e85f037d0200044e0bfc8bcbe5d12",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "539546b237232000158bfc8bcbe5d7",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "d79249762fc1a610b79db3bf42faf3d2",
             "name": "Workforce Engineering Group",
             "role": "Company"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "b88d14843bc02300bfe04d72f3efc4cd",
             "name": "Workforce Engineering Group",
             "role": "Contact"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifier",
             "id": "1223412"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "action": "add",
             "id": "12232332",
             "description": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "work": {
                "@type": "WorkRefOrValue",
                "workType": "999469283bca10103f09080044efc4cf",
                "orderDate": "2024-04-22 14:23:06.528",
                "scheduledStartDate": "2025-06-25 14:23:06.528",
                "expectedCompletionDate": "2025-08-22 14:23:06.528",
                "workPriority": "2 - High",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "16ff753837d0200044e0bfc8bcbe5d5f"
                      }
                   }
                ],
                "relatedParty": [
                   {
                      "@type": "RelatedPartyRef",
                      "id": "4c0482b237232000158bbfc8bcbe5d09",
                      "name": "Louisiana Dispatchers",
                      "role": "DispatchGroup"
                   }
                ],
                "workforceEmployeeAssignment": [
                   {
                      "@type": "WorkforceEmployeeAssignment",
                      "id": "7172ea0037332000158bbfc8bcbe5db6",
                      "workforceEmployee": {
                         "@type": "Individual",
                         "name": "Athelstan Amos",
                         "id": "46c1293aa9fe1981000dc753e75ebeee"
                      }
                   }
                ]
             },
             "note": {
                "@type": "Note",
                "id": "afa9-3d90aaa8da0f",
                "text": "This is a work order task note."
             }
          }
       ],
       "note": {
          "@type": "Note",
          "id": "afa9-3d90aaa8da0f",
          "text": "This is a work order note."
       }
    }" \
    --user 'username':'password'

    응답 본문.

    {
       "id": "24fc3259ffa96210b79dffffffffff56",
       "@type": "WorkOrder",
       "category": "service",
       "shortDescription": "Fixed Fibre Broadband Installation sb",
       "description": "Fixed Fibre description",
       "startDate": "2025-07-22T14:23:06.528Z",
       "requestedCompletionDate": "2024-06-22T14:23:06.528Z",
       "requestedStartDate": "2024-06-22T14:23:06.528Z",
       "priority": "2 - High",
       "expectedCompletionDate": "2025-07-28T14:23:06.528Z",
       "initiatedFrom": "d090df34df113100dca6a5f59bf26335",
       "place": {
          "@type": "GeographicSite",
          "id": "423e85f037d0200044e0bfc8bcbe5d12",
          "relatedParty": [
             {
                "role": "QualificationGroup",
                "id": "539546b237232000158bfc8bcbe5d7",
                "@type": "PartyRef",
                "@referredType": "Individual"
             }
          ]
       },
       "relatedParty": [
          {
             "@type": "RelatedPartyRef",
             "id": "d79249762fc1a610b79db3bf42faf3d2",
             "name": "Workforce Engineering Group",
             "role": "Company"
          },
          {
             "@type": "RelatedPartyRef",
             "id": "b88d14843bc02300bfe04d72f3efc4cd",
             "name": "Workforce Engineering Group",
             "role": "Contact"
          }
       ],
       "externalIdentifier": [
          {
             "@type": "ExternalIdentifier",
             "id": "1223412"
          }
       ],
       "workOrderItem": [
          {
             "@type": "WorkOrderItem",
             "action": "add",
             "id": "12232332",
             "description": "FTTH Installation",
             "completionDate": "2024-04-22T14:23:06.528Z",
             "work": {
                "@type": "WorkRefOrValue",
                "workType": "999469283bca10103f09080044efc4cf",
                "orderDate": "2024-04-22 14:23:06.528",
                "scheduledStartDate": "2025-06-25 14:23:06.528",
                "expectedCompletionDate": "2025-08-22 14:23:06.528",
                "workPriority": "2 - High",
                "place": [
                   {
                      "@type": "RelatedPlaceRefOrValue",
                      "role": "string",
                      "place": {
                         "@type": "GeographicSite",
                         "id": "16ff753837d0200044e0bfc8bcbe5d5f"
                      }
                   }
                ],
                "relatedParty": [
                   {
                      "@type": "RelatedPartyRef",
                      "id": "4c0482b237232000158bbfc8bcbe5d09",
                      "name": "Louisiana Dispatchers",
                      "role": "DispatchGroup"
                   }
                ],
                "workforceEmployeeAssignment": [
                   {
                      "@type": "WorkforceEmployeeAssignment",
                      "id": "7172ea0037332000158bbfc8bcbe5db6",
                      "workforceEmployee": {
                         "@type": "Individual",
                         "name": "Athelstan Amos",
                         "id": "46c1293aa9fe1981000dc753e75ebeee"
                      }
                   }
                ]
             },
             "note": {
                "@type": "Note",
                "id": "afa9-3d90aaa8da0f",
                "text": "This is a work order task note."
             }
          }
       ],
       "note": {
          "@type": "Note",
          "id": "afa9-3d90aaa8da0f",
          "text": "This is a work order note."
       },
       "href": "api/sn_tmf_api/work_order_management_api/workOrder/24fc3259ffa96210b79dffffffffff56"
    }